Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 222207 - Picking DejaVu Sans Condensed gives DejaVu Sans Bold.
Summary: Picking DejaVu Sans Condensed gives DejaVu Sans Bold.
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dejavu-lgc-fonts
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-01-10 21:39 UTC by Rob Andrews
Modified: 2008-05-07 01:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 01:04:59 UTC


Attachments (Terms of Use)

Description Rob Andrews 2007-01-10 21:39:25 UTC
Description of problem:
Picking DejaVu Sans Condensed gives DejaVu Sans Bold.

Version-Release number of selected component (if applicable):
dejavu-lgc-fonts-2.13-1

How reproducible:
Every time.

Steps to Reproduce:
1. Open gnome-font-properties
2. Select a font to change
3. Pick Family "DejaVu Sans" with style "Condensed"
  
Actual results:
The font picked is reported as being DejaVu Sans Condensed, but is actually
DejaVu Sans Bold.

Expected results:
DejaVu Sans Condensed would be picked.

Additional info:
gnome-font-viewer /usr/share/fonts/dejavu-lgc/DejaVuLGCSansCondensed.ttf shows
the correct font, so the file is right, but perhaps the mapping
/etc/fonts/conf.d/59-dejavu-lgc-fonts.conf is wrong?

Comment 2 Matthias Clasen 2007-04-17 23:42:15 UTC
The debian bug seems to indicate that this may be an issue with dejavu sans
condensed

Comment 3 Behdad Esfahbod 2007-04-18 03:12:50 UTC
The sf link seems to be to an spam...

Comment 4 Ben Laenen 2007-04-18 18:02:02 UTC
Can you update to the newest DejaVu version? We had a problem with some data 
in the font but they were fixed (don't remember which version).

Also, try to run "fc-cache -f" once (as root and as your username), to make 
sure you're not having out of date cache problems.

Comment 5 Nicolas Mailhot 2007-04-18 18:20:04 UTC
Latest DejaVu full is in Fedora Devel and should install on FC6
However it also includes ligature glyphs that will trigger a bug in FC6 firefox

Comment 6 Behdad Esfahbod 2007-04-18 20:32:02 UTC
Nicolas, latest dejavu is 2.16, I'm just pushing it in rawhide.
And the firefox bug is in rawhide, not FC6, right?


Comment 7 Nicolas Mailhot 2007-04-19 06:13:08 UTC
(In reply to comment #6)
> Nicolas, latest dejavu is 2.16, I'm just pushing it in rawhide.

Hey, in the brave new merged word both FC & FE are Fedora Devel now :=)

> And the firefox bug is in rawhide, not FC6, right?

IIRC you had a form of the bug even in FC6, that's why I froze my package
versions for old releases



Comment 8 Bug Zapper 2008-04-03 18:52:35 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 9 Bug Zapper 2008-05-07 01:04:56 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.